<?xml version="1.0" encoding="utf-8"?>
<layout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools">

    <androidx.constraintlayout.widget.ConstraintLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent">

        <ScrollView

            android:id="@+id/scroll_view"
            android:layout_width="0dp"
            android:layout_height="0dp"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent">

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:orientation="vertical">



                    <TextView
                        android:id="@+id/name_vehiclecontrol"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_gravity="center"
                        android:layout_marginTop="@dimen/toolbar_height"
                        android:hint="@string/nameUser"
                        android:textColor="@color/verdnatura_white"
                        android:gravity="center"
                        android:textSize="@dimen/h5"
                        android:textStyle="bold" />

                    <ImageView
                        android:id="@+id/user_image"
                        android:layout_width="match_parent"
                        android:layout_height="@dimen/itemcard_image_height"
                        android:layout_margin="10dp"
                        android:scaleType="centerCrop"
                        android:src="@drawable/loadphoto"
                        android:contentDescription="@string/workerImage"/>

                    <LinearLayout
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_margin="10dp"
                        android:layout_marginBottom="@dimen/layout_margin_min"
                        android:orientation="vertical"
                        android:padding="@dimen/layout_margin_min">

                        <LinearLayout
                            android:id="@+id/user_information"
                            android:layout_width="match_parent"
                            android:layout_height="0dp"
                            android:layout_weight="1"
                            android:orientation="vertical">

                            <LinearLayout
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:orientation="horizontal">

                                <TextView
                                    android:layout_width="wrap_content"
                                    android:layout_height="wrap_content"
                                    android:layout_marginEnd="@dimen/layout_margin_min"
                                    android:text="@string/registered_vehiclecontrol"
                                    android:textColor="@color/verdnatura_brown_grey"
                                    android:textSize="@dimen/h7"
                                    android:textStyle="bold" />

                                <TextView
                                    android:id="@+id/registered_vehiclecontrol"
                                    android:layout_width="wrap_content"
                                    android:layout_height="wrap_content"
                                    android:textColor="@color/verdnatura_white"
                                    android:textSize="@dimen/h7"
                                    android:textStyle="bold" />
                            </LinearLayout>

                            <LinearLayout
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:orientation="horizontal">

                                <TextView
                                    android:layout_width="wrap_content"
                                    android:layout_height="wrap_content"
                                    android:layout_marginEnd="@dimen/layout_margin_min"
                                    android:text="@string/deviceName"
                                    android:textColor="@color/verdnatura_brown_grey"
                                    android:textSize="@dimen/h7"
                                    android:textStyle="bold" />

                                <TextView
                                    android:id="@+id/deviceName"
                                    android:layout_width="wrap_content"
                                    android:layout_height="wrap_content"
                                    android:textColor="@color/verdnatura_white"
                                    android:textSize="@dimen/h7"
                                    android:textStyle="bold" />
                            </LinearLayout>

                            <LinearLayout
                                android:layout_width="match_parent"
                                android:layout_height="wrap_content"
                                android:orientation="vertical">

                                    <TextView
                                        android:layout_width="wrap_content"
                                        android:layout_height="match_parent"
                                        android:layout_marginEnd="@dimen/layout_margin_min"
                                        android:text="@string/assigned_user"
                                        android:textColor="@color/verdnatura_brown_grey"
                                        android:textSize="@dimen/h7"
                                        android:textStyle="bold" />

                                    <TextView
                                        android:id="@+id/assigned_devicename"
                                        android:layout_width="wrap_content"
                                        android:layout_height="wrap_content"
                                        android:textColor="@color/verdnatura_white"
                                        android:textSize="@dimen/h7"
                                        android:textStyle="bold" />

                            </LinearLayout>

                        </LinearLayout>



                    <RelativeLayout
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:descendantFocusability="blocksDescendants"
                        android:visibility="gone">

                        <androidx.recyclerview.widget.RecyclerView
                            android:id="@+id/itemcard_recyclerview"
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"
                            android:clipToPadding="false"
                            tools:listitem="@layout/item_card_row" />
                    </RelativeLayout>
                </LinearLayout>

            </LinearLayout>
        </ScrollView>

        <include
            android:id="@+id/main_toolbar"
            layout="@layout/toolbar_fragment"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent" />

    </androidx.constraintlayout.widget.ConstraintLayout>
</layout>